Subject: Re: Usability of git stash

From: Anders Melchiorsen <[email-masked]>
Date: Sat, 18 Oct 2008 11:26:08 +0200

Brandon Casey <[email-masked]> writes:

> In exchange for allowing new users to stub their toe on new commands, the
> work flow of more experienced users is made a little easier.

I wonder whether experienced users even use stash a lot. Personally,
after getting my head around the DAG, and thus getting more
comfortable with git reset, I tend to make "WIP" commits instead.

After having used "git stash clear" at a bad time once, I am wary of
stashing work that I actually want to keep. I prefer workflows where
my mistakes can be (easily) corrected.

The primary thing that stash does for me is preserve the index state.
Unfortunately, --index is not default for stash apply, so I often
forget it.

Sometimes, I also want stash to store away changes to untracked files
(to get a clean working directory), but that is not possible.

Maybe I just don't quite understand what git stash is about ...

Anders.